Package org.eclipse.net4j.util.event

# Interface IEvent

All Known Subinterfaces:
  `ICacheMonitorEvent`, `IContainerEvent<E>`, `IHistoryChangeEvent`, `ILifecycleEvent`, `IOptionsEvent`, `IPropertiesEvent`, `OMPreferencesChangeEvent<T>`

All Known Implementing Classes:
  `ContainerEvent`, `Event`, `FinishedEvent`, `FiniteStateMachine.StateChangedEvent`, `LifecycleEvent`, `NotifyingMonitor.ProgressEvent`, `OptionsEvent`, `PropertiesEvent`, `RollingLog.PropertiesEvent`, `RollingLog.RecoveryEvent`, `RollingLog.RollingLogEvent`, `RollingLog.SplitEvent`, `SashComposite.OrientationChangedEvent`, `SingleDeltaContainerEvent`, `ThrowableEvent`, `ValueEvent`

public interface IEvent
An event that is fired from a `notifier` and can be handled by `listeners`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`INotifier`
`getSource()`

## Method Details

### getSource

INotifier getSource()